#include <bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int N, K;
    cin >> N >> K;

    vector<int> a(N);

    for (int &x : a)
        cin >> x;

    vector<int> cnt(K + 1);

    int have = 0;
    int R = 0;

    long long ans = 0;

    for (int L = 0; L < N; L++) {

        while (R < N && have < K) {
            if (cnt[a[R]] == 0)
                have++;

            cnt[a[R]]++;
            R++;
        }

        if (have == K) {
            // Минималният десен край е R-1.
            ans += N - R + 1;
        }

        if (--cnt[a[L]] == 0)
            have--;
    }

    cout << ans << '\n';
}
